/* NickServ special help texts.
 *
 * Auspice Services is copyright (c) 2000-2001 In Mean
 *     E-mail: auspice@auspice.org
 * SirvNET Services is copyright (c) 1998-2000 Trevor Klingbeil.
 *     E-mail: <priority1@dal.net>
 * Originally based on EsperNet Services(c) by Andy Church.
 * This program is free but copyrighted software; see the file LICENSE for
 * details.
 */


/******************************* O HELP SECTION **************************/
/*************************************************************************/
static const char *ns_servhelper_help[] = {
"" ns " Commands:",
"",
"    SETFLAG    Set a users flag",
"",
NULL
};
/************************************************************************/
static const char *ns_servircop_help[] = {
"IRCop:",
"",
#ifndef CYGWIN
"    SENDPASS   E-Mail nick password to the owner",
#endif
"    FLIST      List users with specified flag",
"",
NULL
};
/************************************************************************/
static const char *ns_servop_help[] = {
"Services Operators:",
"",
NULL
};
/************************************************************************/
static const char *ns_servadmin_help[] = {
"Services Admins:",
"",
"    GETPASS    Retrieve the password for a nickname",
"    HOLD       Set a registered nickname as held",
"    MARK       Set a registered nickname as marked",
"    FREEZE     Set a registered nickname as freeze",
"",
NULL
};
/************************************************************************/
static const char *ns_servroot_help[] = {
"Services Roots:",
"",
"    FORBID     Prevent a nickname from being used",
"    DELETE     Drop a currently registered nickname",
"    DROP       Drop a currently registered nickname",
"    SETPASS    Change a nickname password",
"    SETMLOCK   Set auto set user mode for user.",
"",
NULL
};
/*************************************************************************/

static const char *oper_delete_help[] = {
"Syntax: \2DELETE \37nickname\37\2",
"",
"Without a parameter, drops your nickname from the",
"" ns " database.",
NULL
};

/*************************************************************************/

static const char *flist_help[] = {
"Syntax: \2FLIST [\37HELD\37|\37MARKED\37|\37FORBIDDEN\37]\2",
"",
"Lists all registered nicknames that have the specified",
"flag settings.",
"This command is limited to \2IRC Operators\2",
NULL
};

/*************************************************************************/

static const char *oper_list_help[] = {
"Syntax: \2LIST \37pattern\37\2",
"",
"Lists all registered nicknames which match the given",
"pattern, in \37nick!user@host\37 format.  Nicks with the",
"PRIVATE option set will only be displayed to Services",
"admins.",
"",
"Examples:",
"",
"    \2LIST *!joeuser@foo.com\2",
"        Lists all nicks owned by joeuser@foo.com.",
"",
"    \2LIST *Bot*!*\2",
"        Lists all registered nicks with \2Bot\2 in their",
"        names (case insensitive).",
"",
"    \2LIST *!*@*.bar.org\2",
"        Lists all nicks owned by users in the \2bar.org\2",
"        domain.",
NULL
};

/*************************************************************************/

static const char *getpass_help[] = {
"Syntax: \2GETPASS \37nickname\37\2",
"",
"Returns the password for the given nickname.  \2Note\2 that",
"whenever this command is used, a message including the",
"person who issued the command and the nickname it was used",
"on will be logged and sent out as a GLOBOPS.",
"Limited to \2Services Admin\2.",
NULL
};

/*************************************************************************/

static const char *forbid_help[] = {
"Syntax: \2FORBID \37nickname\37\2",
"Syntax: \2FORBID -\37nickname\37\2",
"",
"Disallows a nickname from being registered or used by",
"anyone.  May be cancelled by deleting the nick.",
"Adding a '-' infront of the nick will remove it as forbidden",
"Limited to \2Services Operators\2.",
NULL
};

/*************************************************************************/

static const char *mark_help[] = {
"Syntax: \2MARK \37nickname\37\2",
"Syntax: \2MARK -\37nickname\37\2",
"",
"Disallows a nickname from being getpassed.",
"MARK is generally used if a services admin has denied",
"a user from receiving a password, and is used to inform",
"the rest of the network not to getpass the nick.",
"Adding a '-' infront of the nick will remove it as marked",
"Limited to \2Services Admins\2.",
NULL
};

/*************************************************************************/
#ifndef CYGWIN
static const char *sendpass_help[] = {
"Syntax: \2SENDPASS \37nickname\37\2",
"",
"Sends an E-Mail to the nick's E-Mail address.",
"This option only works if the E-Mail field has",
"been specified.",
"Limited to \2Global IRCop\2",
NULL
};
#endif
/*************************************************************************/

static const char *hold_help[] = {
"Syntax: \2HOLD \37nickname\37\2",
"Syntax: \2HOLD -\37nickname\37\2",
"",
"Prevents a nickname from being expired.",
"Adding a '-' infront of the nick will remove it as held",
"Limited to \2Services Admins\2.",
NULL
};
/*************************************************************************/
static const char *setpass_help[] = {
"Syntax: \2SETPASS \37nickname\37\2 \2password\2",
"",
"Changing nickname password without have to know the old pass.",
"Limited to \2Services Root\2.",
NULL
};
/*************************************************************************/
static const char *setflags_help[] = {
"Syntax: \2SETFLAG \37nickname\37\2 \2flag\2  ON/OFF",
" ",
"Setting nickname flag.",
"Flags: AUTH PRIVMSG EMAILMEMO NOOP...",
"Limit by the Flag.",
NULL
};
/*************************************************************************/
static const char *setmlock_help[] = {
"Syntax: \2SETMLOCK \37nickname\37\2 \2<user mode>\2",
"",
"Automatic set user mode to a user when they identify.",
"Limited to \2Services Root\2.",
NULL
};
/*************************************************************************/
static const char *ns_help_index[] = {
" ",
"Core Commands:",
"     REGISTER   - Register a nickname",
"     SET        - Change settings, including the KILL option",
"     ACCESS     - Modify the list of authorized addresses",
"     IDENTIFY   - Authorize yourself using a password",
"     RECOVER    - Kill another user who has taken your nick",
"     GHOST      - Terminate a ghosted nickname",
"     DROP       - Drop a registered nickname",
"     LINK       - Link your nickname to another registered nickname",
" ",
"Other commands: INFO    LISTCHANS  LINKS    AUTH",
"                UNLINK  SEARCH     RELEASE  ACC",
"                COMMENT NOTE     "
#ifdef SVSJOIN
"AJOIN "
#endif
" ",
"\2NOTICE:\2 This service is intended to provide a way for",
"IRC users to ensure their identity is not compromised.",
"It is \2NOT\2 intended to facilitate \"stealing\" of",
"nicknames or other malicious actions.  Abuse of " ns "",
"will result in, at minimum, loss of the abused",
"nickname(s).",
" ",
NULL
};
/*************************************************************************/
static const char *ns_help_register[] = {
" ",
"Syntax: \2REGISTER \37password\37 \37email\37\2",
" ",
"Registering your nick opens a variety of options to choose",
"from. These include, but not limited to, killing your",
"ghosts, registering channels, and preventing others",
"from using your nick.",
" ",
NULL
};
/************************************************************************/
static const char *ns_help_nohelp[] = {
" ",
"No help for this command.",
NULL
};
/************************************************************************/
static const char *ns_help_identify[] = {
" ",
"Syntax: \2IDENTIFY \37password37\2",
" ",
"Tells " ns "that you are really the owner of this",
"nick.  Many commands require you to authenticate yourself",
"with this command before you use them.  The password",
"should be the same one you sent with the \2REGISTER\2",
"command.",
" ",
NULL
};
/**************************************************************************/
static const char *ns_help_access[] = {
" ",
"Syntax: \2ACCESS ADD \37mask\37\2",
"        \2ACCESS DEL \37mask\37\2",
"        \2ACCESS LIST\2",
"        \2ACCESS WIPE\2",
" ",
"Modifies or displays the access list for your nick.  This",
"is the list of addresses which will be automatically",
"recognized by " ns " as allowed to use the nick.  If",
"you want to use the nick from a different address, you",
"need to send an \2IDENTIFY\2 command to make " ns "",
"recognize you.",
" ",
"Examples:",
" ",
"    \2ACCESS ADD inmean@*.auspice.org\2"
"        Allows access to user \2inmean\2 from any machine in",
"        the \2auspice.org\2 domain.",
" ",
"    ^BACCESS DEL inmean@*.auspice.org\2",
"        Reverse the above command. (forces user to identify to nick)",
" ",
"    \2ACCESS LIST\2",
"        Displays the current access list.",
" ",
"    \2ACCESS WIPE\2",
"        Remove all enteries from your access list.",
" ",
NULL
};
/***************************************************************/
static const char *ns_help_set[] = {
" ",
"Syntax: \3SET \37option\37 \37parameters\37\2",
" ",
"Sets various nickname options.  \37option\37 can be one of:",
" ",
"    KILL        Turn kill protection on or off.",
"    SECURE      Turn nickname security on or off.",
"    PRIVATE     Prevent your nickname from appearing in a",
"                \2/msg " ns " LIST\2",
"    PASSWD      Set your nickname password.",
"    EMAIL       Associate an E-mail address with your nickname.",
"    HIDEMAIL    Hide your E-mail from being seen by other users.",
"    NOMEMO      Prevent your current nick from receiving memos.",
"    NOOP        Prevent your current nick from being added to",
"                channel access lists.",
"    NEVEROP     Prevent ChanServ granting you operator status.",
#ifndef CYGWIN
"    EMAILMEMOS  Have your memos sent to you via email.",
#endif
"    PRIVMSG     Make services notice in private message.",
"    MLOCK       Modify your user mode lock.",
#ifdef SVSJOIN
"    AUTOJOIN    Enable autojoin to work.",
#ifdef AUTH
"    AUTH        Only accepted from you to add into any channel access.",
#endif
#endif
" ",
"\37FIELDS\37",
" ",
"    AGE         Set your age",
"    SEX         Set your sex",
"    URL         Associate an URL with your nickname.",
"    UIN         Set your current UIN(ICQ).",
"    INFO        set your extra information",
" ",
"In order to use this command, you must first identify",
"with your password (\2/msg " ns " HELP IDENTIFY\2 for more",
"information).",
" ",
"Type \2/msg " ns " HELP SET \37option\37\2 for more information",
"on a specific option.",
" ",
NULL
};
/***************************************************************/
static const char *ns_help_drop[] = {
" ",
"Syntax: \2DROP\2 <\2nick\2>",
" ",
"Drops your nickname from the NickServ database.  A nick",
"that has been dropped is free for anyone to re-register.",
" ",
"In order to use this command, you must first identify",
"with your password (\2/msg " ns " HELP IDENTIFY\2 for more",
"information).",
" ",
NULL
};
/***********************************************************/
static const char *ns_help_search[] = {
" ",
"Syntax: \2SEARCH\2 <\2AGE|EMAIL|UIN|URL\2> <\2keyword\2> [Male|Female]",
" ",
"Search for nickname in database who matches the keyword",
" ",
NULL
};
/***********************************************************/
static const char *ns_help_recover[] = {
" ",
"Syntax: \2RECOVER \37nickname\37 [\37password\37]\2",
" ",
"Allows you to recover your nickname if someone else has",
"taken it; this does the same thing that NickServ does",
"automatically if someone steals a kill-protected nick.",
" ",
"When you give this command, " ns " will bring a fake",
"user online with the same nickname as the user you're",
"trying to recover your nick from.  This causes the IRC",
"servers to disconnect the other user.  NickServ's fake",
"user will remain online for one minute to ensure that the",
"other user does not immediately reconnect; after that",
"minute, you can reclaim your nick.  Alternatively, use",
"the \2RELEASE\2 command (\2/msg " ns " HELP RELEASE\2) to get",
"the nick back sooner.",
" ",
"In order to use the RECOVER command for a nick, your",
"current address as shown in /WHOIS must be on that nick's",
"access list, or you must supply the correct password for",
"the nickname.",
" ",
"\2Note\2: If the nickname's security setting is enabled,",
"      you must provide a password.",
" ",
NULL
};
/****************************************************************/
static const char *ns_help_release[] = {
" ",
"Syntax: \2RELEASE \37nickname\37\2",
" ",
"Instructs " ns " to remove any hold on your nickname",
"caused by automatic kill protection or use of the \2RECOVER\2",
"command.  By default, such holds last for one minute;",
"this command gets rid of them sooner.",
" ",
"In order to use the RELEASE command for a nick, your",
"current address as shown in /WHOIS must be on that nick's",
"access list, or you must supply the correct password for",
"the nickname.",
" ",
"\2Note\2: If the nickname's security setting is enabled,",
"      you must provide a password.",
" ",
NULL
};
/*********************************************************/
static const char *ns_help_acc[] = {
" ",
"Syntax: \2ACC\2 <\37nickname\37>",
" ",
"Returns whether the user using the given nickname is",
"recognized as the owner of the nickname.  The response has",
"this format:",
" ",
"    \37nickname\37 \37acc-code\37",
" ",
"\37acc-code\37 is one of the following:",
" ",
"  0 - Nickname Unregistered",
"  1 - Registered, Offline",
"  2 - UnIdentified",
"  3 - Identified via password authentication",
"  4 - Identified via access list",
"  5 - Forbidden Nickname",
" ",
NULL
};
/*********************************************************/
static const char *ns_help_link[] = {
" ",
"Syntax: \2LINK\2 \37Nick\37 \37Password\37",
" ",
"LINKs your current nickname to another registered nickname.",
"LINKed nicknames share everything from access lists and",
"settings to memos. In order to link your current nickname, it",
"must not be registered.",
" ",
"Example: \2LINK User mYPaSsWorD\2",
" ",
NULL
};
/********************************************************************/
static const char *ns_help_ghost[] = {
" ",
"Syntax: \2GHOST \37nickname\37\3",
" ",
"Terminates a \2ghost\2 IRC session using your nick.  A",
"\2ghost\2 session is one which is not actually connected,",
"but which the IRC server believes is still online for one",
"reason or another.  Typically, this happens if your",
"computer crashes or your Internet or modem connection",
"goes down while you're on IRC.",
" ",
"In order to use the GHOST command for a nick, your",
"current address as shown in /WHOIS must be on that nick's",
"access list, or you must supply the correct password for",
"the nickname.",
" ",
NULL
};
/**********************************************************/
static const char *ns_help_info[] = {
" ",
"Syntax: \2INFO \37nickname\37\2",
" ",
"Displays information about the given nickname, such as",
"the nick's owner, last seen address and time, and nick",
"options.",
" ",
NULL
};
/******************************************************************/
static const char *ns_help_listchans[] = {
" ",
"Syntax: \2LISTCHANS\2",
" ",
"Lists all Channels which you currently have access on.",
" ",
NULL
};
/*****************************************************************/
static const char *ns_help_selfdel[] = {
" ",
"Syntax: \2SELFDEL\2 \37#channel\37",
" ",
"Delete your own access from any channel access lists.",
" ",
NULL
};
/******************************************************************/
static const char *ns_help_links[] = {
" ",
"Syntax: \2LINKS\2",
" ",
"Lists any nicks LINKed to your host nickname. This",
"command can be issued from your host nickname, or any",
"nicknames linked to it.",
" ",
"Example: LINKS",
" ",
NULL
};
/**************************************************************/
static const char *ns_help_unlink[] = {
" ",
"Syntax: \2UNLINK\2 \37Nick\37",
" ",
"UNLINKs a nickname from your host nick. This is similar",
"to the DROP command. Once a nickname is UNLINKed,",
"anyone who wants to may register it can.",
" ",
"Example: UNLINK User",
" ",
NULL
};
/**************************************************************/
static const char *ns_help_whois[] = {
" ",
"Syntax: \2WHOIS\2 \37Nick\37",
" ",
"Build-in command for WebTV user alias of WHOIS",
" ",
NULL
};
/*************************************************************/
static const char *ns_help_verify[] = {
" ",
"Syntax: \2VERIFY\2 \37Nick\37",
" ",
"Build-in command for WebTV user to verify if a user an IRCop.",
" ",
NULL
};
/**************************************************************/
static const char *ns_help_nick[] = {
" ",
"Syntax: \2NICK\2 \37newnick\37",
" ",
"Build-in command for WebTV user to change nick",
" ",
NULL
};
/**************************************************************/
static const char *ns_help_whoiam[] = {
" ",
"Syntax: \2WHOIAM\2",
" ",
"Build-in command for WebTV user to do WHOIS theself",
" ",
NULL
};
/**************************************************************/
static const char *ns_help_set_kill[] = {
" ",
"Syntax: \2SET KILL {ON|OFF}\2",
" ",
"Turns the automatic kill protection option for your nick",
"on or off.  With kill protection on, if another user",
"tries to take your nick, they will be given one minute to",
"change to another nick, after which they will be forcibly",
"removed from IRC by " ns " .",
" ",
NULL
};
/**************************************************************/
static const char *ns_help_set_secure[] = {
" ",
"Syntax: \2SET SECURE {ON|OFF}\2",
" ",
"Turns " ns "'s security features on or off for your",
"nick.  With SECURE set, you must enter your password",
"before you will be recognized as the owner of the nick,",
"regardless of whether your address is on the access",
"list.  However, if you are on the access list," ns " ",
"will not auto-kill you regardless of the setting of the"
"\2KILL\2 option. This setting also requires the password",
"given for the RELEASE and RECOVER commands. Otherwise,",
"anyone may use RELEASE or RECOVER on your nick that",
"matches any entry in your ACCESS list.",
" ",
NULL
};
/****************************************************************/
static const char *ns_help_set_private[] = {
" ",
"Syntax: \2SET PRIVATE {ON|OFF}\2",
" ",
"Turns " ns "'s PRIVATE option on or off for your nick.",
"With PRIVATE set, your nickname will not appear in",
"nickname lists generated with " ns "'s LIST command.",
"(However, anyone who knows your nickname can still get",
"information on it using the INFO command.)",
" ",
NULL
};
/****************************************************************/
static const char *ns_help_set_password[] = {
" ",
"Syntax: \2SET PASSWORD \37new-password\37\2",
"Syntax: \2SET PASSWD \37new-password\37\2",
" ",
"Changes the password used to identify you as the nick's",
"owner.",
" ",
NULL
};
/*****************************************************************/
static const char *ns_help_set_email[] = {
" ",
"Syntax: \2SET EMAIL \37address\37\2",
" ",
"Associates the given E-mail address with your nickname.",
"This address will be displayed whenever someone requests",
"information on your nickname with the INFO command.",
" ",
NULL
};
/*****************************************************************/
static const char *ns_help_set_hidemail[] = {
" ",
"Syntax: \2SET  HIDEMAIL ON\2",
"        \2SET  HIDEMAIL OFF\2",
" ",
"For Secure you e-mail, this option allow you to",
"hide your e-mail in the info list, however the",
"IRCop can still view it.",
" ",
NULL
};
/*******************************************************************/
static const char *ns_help_set_nomemo[] = {
" ",
"Syntax: \2SET NOMEMO \37{ON|OFF}\37\2",
" ",
"Disables receiving memos for your current nick.",
"This does not disable you from sending memos, it",
"will only block receieving memos to you from others.",
" ",
NULL
};
/******************************************************************/
static const char *ns_help_set_neverop[] = {
" ",
"Syntax: \2SET NEVEROP \37{ON|OFF}\37\2",
" ",
"Prevent " cs " from giving you channel operator",
"status upon joining a registered channel.",
"" cs " will also set -o if someone gives",
"you operator status.",
"You may still use the OP command to have",
"services set you +o.",
" ",
NULL
};
/******************************************************************/
#ifndef CYGWIN
static const char *ns_help_set_emailmemos[] = {
" ",
"Syntax: \2SET EMAILMEMOS\2 [ON|OFF]",
" ",
"Enabling this will have your memos sent to",
"you via email. You must have a valid email",
"set in your " ns " info (NS SET EMAIL).",
" ",
"\2Note\2: Memos may still be retreived by " ms ",",
"      regardless of this setting.",
" ",
NULL
};
#endif
/******************************************************************/
static const char *ns_help_set_privmsg[] = {
" ",
"Syntax: \2SET PRIVMSG \37{ON|OFF}\37\2",
" ",
"Make services message you instead of notice.",
" ",
NULL
};
/******************************************************************/
static const char *ns_help_set_age[] = {
" ",
"Syntax: \2SET AGE \37<number>|NONE\37\2",
" ",
"Sets your age information.",
" ",
NULL
};
/******************************************************************/
static const char *ns_help_set_sex[] = {
" ",
"Syntax: \2SET SEX \37M|F|NONE\37\2",
" ",
"Sets your gender information.",
" ",
NULL
};
/*****************************************************************/
static const char *ns_help_set_uin[] = {
" ",
"Syntax: \2SET UIN \37<number>|NONE\37\2",
" ",
"Sets your ICQ number",
" ",
NULL
};
/****************************************************************/
static const char *ns_help_set_url[] = {
" ",
"Syntax: \2SET URL \37<\2url\2>\37\2",
" ",
"Associates the given URL with your nickname.  This URL",
"will be displayed whenever someone requests information",
"on your nick with the INFO command.",
" ",
NULL
};
/****************************************************************/
static const char *ns_help_set_info[] = {
" ",
"Syntax: \2SET INFO \37<brief infomation>\37\2",
" ",
"Update your Infomation fields let your breif Infomation",
"show in nickname INFO",
" ",
NULL
};
